Deprecated: Non-static method wp_meta_robots_plugin::meta_robots_addcolumn() should not be called statically in /home/sekai1blog/tecc0.com/public_html/android/wp-includes/class-wp-hook.php on line 286
appcompat v7 とはなにか? | Android開発・エラー置き場
Deprecated: Non-static method wp_meta_robots_plugin::add_meta_robots_tag() should not be called statically in /home/sekai1blog/tecc0.com/public_html/android/wp-includes/class-wp-hook.php on line 286

Android開発のメモやエラーなんかおいてく

Android開発・エラー置き場

library

appcompat v7 とはなにか?

投稿日:

Pocket

appcompat v7とはなんぞや?

って人はいますか?はい、少し前の私です。

 

カンタンに言えば

下位APIでも上位の機能を動かすためのもの

らいいです。

 

具体的にはActionBarなどです。昔、なかったですもんね。

ちなみにSDK Maneger で言うと、Android Support Library ってやつです。

 

多分知らずにインストールしてる人もいるんじゃないでしょうか?

新規でプロジェクトを作った時に、最低APIを2.x にすると自動で追加されるようです。

 

ちなみにappcompat v4 ってのもあります。

 

詳しくはこちらにのってますのでご参考に。

https://developer.android.com/tools/support-library/features.html

Pocket

-library
-

Copyright© Android開発・エラー置き場 , 2019 All Rights Reserved Powered by STINGER.